Create checklist item

Create checklist item. See the OpenAPI-defined parameters, request body, and responses below.

POST /ChecklistItem

Create checklist item. See the OpenAPI-defined parameters, request body, and responses below.

OpenAPI description: Este endpoint cria um novo item de checklist com os dados fornecidos.

Authentication

Authentication required. Send your user API key in the X-API-Key header.

Parameters

This operation has no path, query, or header parameters.

Request body

Content type: application/json · Schema: ChecklistItemDto

PropertyTypeRequiredDescriptionConstraints
idinteger · int32No——
namestringNo—nullable
enablebooleanNo——
promptstringNo—nullable
maxScoreinteger · int32No——
highImportancebooleanNo——
setScoreToZerobooleanNo——
checklistGroupIdinteger · int32No——
integrationIdstringNo—nullable
checklistIdinteger · int32No——
checklistItemGroupIdinteger · int32No——
checklistItemScriptIdinteger · int32No——
canDeletebooleanNo——

Example request

curl --request POST \
  --url 'https://api.zild.ai/ChecklistItem' \
  --header 'X-API-Key: YOUR_USER_API_KEY' \
  --header 'Content-Type: application/json' \
  --data '{
  "id": 0,
  "name": "string",
  "enable": true,
  "prompt": "string",
  "maxScore": 0,
  "highImportance": true,
  "setScoreToZero": true,
  "checklistGroupId": 0,
  "integrationId": "string",
  "checklistId": 0,
  "checklistItemGroupId": 0,
  "checklistItemScriptId": 0,
  "canDelete": true
}'

Responses

StatusDescriptionResponse body
200Item criado com sucessoapplication/json · ChecklistItemDto

Example response (200):

{
  "id": 0,
  "name": "string",
  "enable": true,
  "prompt": "string",
  "maxScore": 0,
  "highImportance": true,
  "setScoreToZero": true,
  "checklistGroupId": 0,
  "integrationId": "string",
  "checklistId": 0,
  "checklistItemGroupId": 0,
  "checklistItemScriptId": 0,
  "canDelete": true
}

Data models

ChecklistItemDto
PropertyTypeRequiredDescriptionConstraints
idinteger · int32No——
namestringNo—nullable
enablebooleanNo——
promptstringNo—nullable
maxScoreinteger · int32No——
highImportancebooleanNo——
setScoreToZerobooleanNo——
checklistGroupIdinteger · int32No——
integrationIdstringNo—nullable
checklistIdinteger · int32No——
checklistItemGroupIdinteger · int32No——
checklistItemScriptIdinteger · int32No——
canDeletebooleanNo——